Upgrade of eclipse-devel to 3.7.1

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Upgrade of eclipse-devel to 3.7.1

Thomas Gellekum
Moin,

I've uploaded patches to upgrade eclipse-devel to 3.7.1 to
<URL:http://people.freebsd.org/~tg/eclipse-devel.20120420.diff>. These
work for me on 8-stable, amd64. Please report any problems to the list.

I've not managed to compile 3.7.1 with OpenJDK7 (some problem in the
org.sat4j.pb bundle); using OpenJDK7 for Java development seems to work
fine, though.

OpenJDK6 has the same issue with com.ibm.icu.util.TimeZone that was
reported a few days ago, so you need either the openjdk6-b24_4 or -b24_6
(this is the current) version of the port.

If someone wants to commit this, please don't forget to 'cvs add
files/patch-dependencyManifests'.

tg
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-eclipse
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade of eclipse-devel to 3.7.1

Greg Lewis-2
On Fri, Apr 20, 2012 at 10:09:02AM +0200, Thomas Gellekum wrote:
> I've uploaded patches to upgrade eclipse-devel to 3.7.1 to
> <URL:http://people.freebsd.org/~tg/eclipse-devel.20120420.diff>. These
> work for me on 8-stable, amd64. Please report any problems to the list.

Thanks Thomas!  Also tested on 8/i386.

> I've not managed to compile 3.7.1 with OpenJDK7 (some problem in the
> org.sat4j.pb bundle); using OpenJDK7 for Java development seems to work
> fine, though.
>
> OpenJDK6 has the same issue with com.ibm.icu.util.TimeZone that was
> reported a few days ago, so you need either the openjdk6-b24_4 or -b24_6
> (this is the current) version of the port.

The important part is having the TZUPDATE option set to off.  All I did in
24_6 is turn the default back to off for the moment.

> If someone wants to commit this, please don't forget to 'cvs add
> files/patch-dependencyManifests'.

Done.  The eclipse-devel port is updated.

--
Greg Lewis                          Email   : [hidden email]
Eyes Beyond                         Web     : http://www.eyesbeyond.com
Information Technology              FreeBSD : [hidden email]
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-eclipse
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade of eclipse-devel to 3.7.1

Andrey Kosachenko
In reply to this post by Thomas Gellekum
On 20.04.2012 11:09, Thomas Gellekum wrote:
> Moin,
>
> I've uploaded patches to upgrade eclipse-devel to 3.7.1 to
> <URL:http://people.freebsd.org/~tg/eclipse-devel.20120420.diff>. These
> work for me on 8-stable, amd64. Please report any problems to the list.

works just fine: 10-Current (amd64).
Thanks!

--
WBR,
Andrey Kosachenko
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-eclipse
To unsubscribe, send any mail to "[hidden email]"